"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var calculator_1 = require("./calculator");
var Calendar = /** @class */ (function () {
    function Calendar(hours) {
        this.calc = new calculator_1.default();
        this.week = [];
        this.pace = [];
        this.totalHours = 0;
        this.minimumPaceHours = 0;
        this.standardPaceHours = 0;
        this.overtimePaceHours = 0;
        this.today = new Date();
        this.monday = this.today.getDate() - this.today.getDay();
        this.week = [];
        this.pace = [];
        for (var day = 0; day <= 4; day++) {
            var dayDate = new Date(this.today.setDate(day + 1 + this.monday));
            var formattedDate = date_fns_1.format(dayDate, "ddd, MMM D");
            if (this.calc.isFutureDate(dayDate)) {
                this.week.push([formattedDate, "-"].chalkGray());
            }
            else {
                this.minimumPaceHours += 7;
                this.standardPaceHours += 8;
                this.overtimePaceHours += 9;
                this.totalHours += hours[day];
                this.week.push([
                    formattedDate,
                    hours[day] + "hrs (" + this.calc.difference(hours[day], 8) + ")"
                ]);
            }
        }
        this.pace.push(this.buildPaceRow("Minimum", this.minimumPaceHours));
        this.pace.push(this.buildPaceRow("Standard", this.standardPaceHours));
        this.pace.push(this.buildPaceRow("Overtime", this.overtimePaceHours));
    }
    Calendar.prototype.buildPaceRow = function (title, paceHours) {
        return [
            title,
            this.totalHours + "/" + paceHours + "hrs (" + this.calc.difference(this.totalHours, paceHours) + ")"
        ];
    };
    return Calendar;
}());
exports.Calendar = Calendar;
//# sourceMappingURL=calendar.js.map