"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var Formatter = /** @class */ (function () {
    function Formatter() {
    }
    /**
     * Formats a date to an easy-to-read string.
     *
     * @param date The date to format.
     * @returns A date (ex: "Mon, Mar 1")
     */
    Formatter.prototype.date = function (date) {
        return date_fns_1.format(date, "ddd, MMM D");
    };
    /**
     * Formats a date to an simple time.
     *
     * @param date The date to format.
     * @returns An time (ex: "12:00pm")
     */
    Formatter.prototype.time = function (date) {
        return date_fns_1.format(date, "hh:mma");
    };
    /**
     * Formats hours to the time format.
     *
     * @param hours The number of hours.
     * @returns Hours in the time format (ex: '8:00')
     */
    Formatter.prototype.hours = function (hours) {
        var isNegative = hours < 0 ? true : false;
        var h = Math.floor(hours);
        var m = String(((hours % 1) * 60).toFixed(0));
        if (m === "0")
            m = "00";
        if (Number(m) < 10 && Number(m) > 0)
            m = "0" + m;
        return h + ":" + m;
    };
    return Formatter;
}());
exports.default = Formatter;
//# sourceMappingURL=formatter.js.map