"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var node_fetch_1 = require("node-fetch");
var week_1 = require("./week");
var date_fns_1 = require("date-fns");
var Api = /** @class */ (function () {
    function Api() {
        this.url = "https://api.wheniwork.com/2";
    }
    Api.prototype.login = function (username, password) {
        var _this = this;
        return node_fetch_1.default(this.url + "/login", {
            body: JSON.stringify({
                username: username,
                password: password
            }),
            headers: {
                "content-type": "application/json",
                "W-Key": process.env.WHENIWORK_KEY
            },
            method: "POST"
        })
            .then(function (response) { return response.json(); })
            .then(function (response) {
            _this.token = response.token;
            _this.userID = response.user.id;
            return response;
        })
            .catch(function (error) {
            console.error(error);
        });
    };
    Object.defineProperty(Api.prototype, "times", {
        // TODO: Write token and user id to wheniwork file
        //   const fs = require('fs');
        // fs.appendFile('message.txt', 'data to append', function (err) {
        //   if (err) throw err;
        //   console.log('Saved!');
        // });
        get: function () {
            var _this = this;
            var mon = date_fns_1.startOfWeek(new Date());
            var sat = date_fns_1.endOfWeek(new Date());
            return this.login(process.env.WHENIWORK_USERNAME, process.env.WHENIWORK_PASSWORD).then(function () {
                return node_fetch_1.default(_this.url + "/times/?user_id=" + _this.userID + "&start=" + mon + "&end=" + sat, {
                    headers: {
                        "content-type": "application/json",
                        "W-Token": _this.token
                    },
                    method: "GET"
                })
                    .then(function (response) { return response.json(); })
                    .then(function (json) {
                    var times = json.times;
                    return times;
                })
                    .catch(function (error) {
                    console.error(error);
                });
            });
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Api.prototype, "week", {
        get: function () {
            return this.times.then(function (times) {
                var newWeek = new week_1.default(times);
                return newWeek;
            });
        },
        enumerable: true,
        configurable: true
    });
    return Api;
}());
exports.Api = Api;
//# sourceMappingURL=api.js.map