"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Allows you to provide data to iterate and use for a test.
 *
 * @param {object} values A key used as the description and an array of values.
 * @param {function} func The function.
 */
exports.using = function (values, func) {
    for (var key in values) {
        if (values.hasOwnProperty(key)) {
            values[key].unshift(key);
            func.apply(null, values[key]);
        }
    }
};
//# sourceMappingURL=using.js.map