"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var calculator_1 = require("./calculator");
var Table = require("cli-table");
var formatter_1 = require("./formatter");
var PaceTable = /** @class */ (function () {
    function PaceTable(week) {
        this.calc = new calculator_1.default();
        this.format = new formatter_1.default();
        this.table = new Table({
            head: ["Pace", "Hours", "Difference"].chalkResetBold()
        });
        this.lastWorkDay = new Date(week.days[0].date).getDay();
        this.totalHours = week.days.reduce(function (accumulator, currentValue) {
            var hours = currentValue.total.worked || 0;
            return accumulator + hours;
        }, 0);
        this.row("Minimum", 35);
        this.row("Standard", 40);
        this.row("Overtime", 45);
        console.log(this.table.toString());
    }
    PaceTable.prototype.row = function (title, pace) {
        var dayPace = pace / 5;
        this.table.push([
            title,
            this.totalHours.toFixed(2) + " of " + pace * this.lastWorkDay / 5 + "/" + pace,
            this.calc.difference(this.totalHours, dayPace * this.lastWorkDay)
        ]);
    };
    return PaceTable;
}());
exports.default = PaceTable;
//# sourceMappingURL=pace.table.js.map