"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var calculator_1 = require("../calculator");
var Table = require("cli-table");
var formatter_1 = require("../formatter");
var PaceTable = /** @class */ (function () {
    function PaceTable(dateRange) {
        this.calc = new calculator_1.default();
        this.format = new formatter_1.default();
        this.dateRange = dateRange;
        this.table = new Table({
            head: ["Pace", "Hours", "Difference"].chalkResetBold()
        });
        this.row("Minimum", 7);
        this.row("Standard", 8);
        this.row("Overtime", 9);
        console.log(this.table.toString());
    }
    PaceTable.prototype.row = function (title, targetHours) {
        var totalTargetHours = this.dateRange.days.length * targetHours;
        this.table.push([
            title + " (" + targetHours + ")",
            this.dateRange.total.worked.toFixed(2) + " of " + totalTargetHours,
            this.calc.difference(this.dateRange.total.worked, totalTargetHours)
        ]);
    };
    return PaceTable;
}());
exports.PaceTable = PaceTable;
//# sourceMappingURL=pace.table.js.map