"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var day_1 = require("./day");
var date_fns_1 = require("date-fns");
/**
 * Converts a list of times from the API into structure data for the CLI.
 */
var Week = /** @class */ (function () {
    function Week(times) {
        var _this = this;
        this.days = [];
        var timesThisWeek = times.filter(this.isDayThisWeek);
        var timesToDays = [];
        timesThisWeek.forEach(function (time) {
            var newDay = new day_1.Day(time);
            timesToDays.push(newDay);
        });
        timesToDays.forEach(function (time) {
            var timeDay = date_fns_1.getDay(time.date);
            var dayIndex = _this.days.findIndex(function (day) {
                return timeDay === date_fns_1.getDay(day.date);
            });
            dayIndex < 0 ? _this.days.push(time) : _this.mergeDays(dayIndex, time);
        });
        // thisWeek = thisWeek.map(this.calcTodaysHours);
        // thisWeek = thisWeek.map(this.estimateEndTime);
    }
    Week.prototype.mergeDays = function (index, day) {
        var mergedDay = this.days[index];
        this.days[index].slots.worked = day.slots.worked.concat(mergedDay.slots.worked);
        mergedDay.total.worked = mergedDay.total.worked + day.total.worked;
    };
    Week.prototype.dayAlreadyExists = function (time) {
        return false;
    };
    /**
     * Determines if the day is in this week.
     *
     * @param time The time to check.
     * @returns true if the start time is greater than or equal to the start of this week.
     */
    Week.prototype.isDayThisWeek = function (time) {
        var startOfThisWeek = date_fns_1.startOfWeek(new Date());
        return time.start_time && new Date(time.start_time) >= startOfThisWeek;
    };
    return Week;
}());
exports.default = Week;
//# sourceMappingURL=week.js.map